import { bindActionCreators } from 'redux';
import React, { createContext, useContext, useEffect, useState } from 'react';
export var ReduxContext = createContext({});
export var Provider = function Provider(_ref) {
  var store = _ref.store,
      children = _ref.children;
  return React.createElement(ReduxContext.Provider, {
    value: store
  }, children);
};
export var useReduxCore = function useReduxCore() {
  var context = useContext(ReduxContext);

  var _useState = useState(context.getState()),
      state = _useState[0],
      setState = _useState[1];

  function handleChange() {
    setState(context.getState());
  }

  useEffect(function () {
    return context.subscribe(handleChange);
  }, [state]);
  return [state, context.dispatch];
};
export var useRedux = function useRedux(selector, actions) {
  var _useReduxCore = useReduxCore(),
      state = _useReduxCore[0],
      dispatch = _useReduxCore[1];

  var selectedState = typeof selector !== 'function' ? state : selector(state);

  if (typeof actions === 'undefined' || actions === null) {
    return [selectedState, dispatch];
  }

  var boundActions = typeof actions === 'function' ? actions(dispatch) : bindActionCreators(actions, dispatch);
  return [selectedState, boundActions];
};