"use strict";

exports.__esModule = true;
exports.useRedux = exports.useReduxCore = exports.Provider = exports.ReduxContext = void 0;

var _redux = require("redux");

var _react = _interopRequireWildcard(require("react"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var ReduxContext = (0, _react.createContext)({});
exports.ReduxContext = ReduxContext;

var Provider = function Provider(_ref) {
  var store = _ref.store,
      children = _ref.children;
  return _react.default.createElement(ReduxContext.Provider, {
    value: store
  }, children);
};

exports.Provider = Provider;

var useReduxCore = function useReduxCore() {
  var context = (0, _react.useContext)(ReduxContext);

  var _useState = (0, _react.useState)(context.getState()),
      state = _useState[0],
      setState = _useState[1];

  function handleChange() {
    setState(context.getState());
  }

  (0, _react.useEffect)(function () {
    return context.subscribe(handleChange);
  }, [state]);
  return [state, context.dispatch];
};

exports.useReduxCore = useReduxCore;

var useRedux = function useRedux(selector, actions) {
  var _useReduxCore = useReduxCore(),
      state = _useReduxCore[0],
      dispatch = _useReduxCore[1];

  var selectedState = typeof selector !== 'function' ? state : selector(state);

  if (typeof actions === 'undefined' || actions === null) {
    return [selectedState, dispatch];
  }

  var boundActions = typeof actions === 'function' ? actions(dispatch) : (0, _redux.bindActionCreators)(actions, dispatch);
  return [selectedState, boundActions];
};

exports.useRedux = useRedux;