import React from 'react';
import * as actionCreators from '../actions';

import { useRedux } from '../../../../src';

const useAddTodoAction = () => useRedux(undefined, actionCreators);

const AddTodo = () => {
	const [, { addTodo }] = useAddTodoAction();

	let input;

	return (
		<div>
			<form
				onSubmit={e => {
					e.preventDefault();
					if (!input.value.trim()) {
						return;
					}
					addTodo(input.value);
					input.value = '';
				}}
			>
				<input
					ref={node => {
						input = node;
					}}
				/>
				<button type="submit">Add Todo</button>
			</form>
		</div>
	);
};

export default AddTodo;
